### Class

# Adw EnumListItem

since: 1

#### Description [src]

    final class Adw.EnumListItem : GObject.Object
    {
      /* No available fields */
    }

`AdwEnumListItem` is the type of items in a `AdwEnumListModel`.

Available since: 1

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### adw_enum_list_item_get_name

Gets the enum value name.

since: 1

###### adw_enum_list_item_get_nick

Gets the enum value nick.

since: 1

###### adw_enum_list_item_get_value

Gets the enum value.

since: 1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Adw.EnumListItem:name

The enum value name.

since: 1

###### Adw.EnumListItem:nick

The enum value nick.

since: 1

###### Adw.EnumListItem:value

The enum value.

since: 1

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct AdwEnumListItemClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.